#include "zonefile_cod4_pc.h"

ZoneFile_COD4_PC::ZoneFile_COD4_PC()
    : ZoneFile()
{
    pSetType(1, ASSET_TYPE_PHYSPRESET);
    pSetType(2, ASSET_TYPE_XANIMPARTS);
    pSetType(3, ASSET_TYPE_XMODEL);
    pSetType(5, ASSET_TYPE_DESTRUCTIBLE);
    pSetType(6, ASSET_TYPE_IMAGE);
    pSetType(7, ASSET_TYPE_TECHNIQUE_SET);
    pSetType(10, ASSET_TYPE_COL_MAP_SP);
    pSetType(11, ASSET_TYPE_COLLISION_MAP);
    pSetType(12, ASSET_TYPE_D3DBSP);
    pSetType(13, ASSET_TYPE_GAME_MAP_SP);
    pSetType(16, ASSET_TYPE_GFX_MAP);
    pSetType(18, ASSET_TYPE_LIGHT_DEF);
    pSetType(20, ASSET_TYPE_MENU);
    pSetType(21, ASSET_TYPE_FONT);
    pSetType(22, ASSET_TYPE_SOUND);
    pSetType(23, ASSET_TYPE_WEAPON);
    pSetType(24, ASSET_TYPE_LOCALIZE_ENTRY);
    pSetType(25, ASSET_TYPE_FX);
    pSetType(26, ASSET_TYPE_UI_MAP);
    pSetType(31, ASSET_TYPE_RAWFILE);
    pSetType(32, ASSET_TYPE_SCRIPT_PARSE_TREE);
    pSetType(33, ASSET_TYPE_STRINGTABLE);

}

ZoneFile_COD4_PC::~ZoneFile_COD4_PC() {

}

bool ZoneFile_COD4_PC::Load(const QByteArray aFileData) {
    return true;
}
